SUMMARY = "Google's protobuffer"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

SRC_URI = "https://github.com/protocolbuffers/protobuf/releases/download/v3.13.0/protoc-3.13.0-linux-x86_64.zip"

SRC_URI[md5sum] = "20a5326fbc666e1fd069eaa80875fcac"
SRC_URI[sha256sum] = "4a3b26d1ebb9c1d23e933694a6669295f6a39ddc64c3db2adf671f0a6026f82e"

FILES_${PN} = " \
    ${includedir}/google/protobuf/*.proto \
    ${includedir}/google/protobuf/compiler/*.proto \
    ${bindir}/protoc \
"

do_install () {
    install -d ${D}${bindir}
    install -m 0755 ${WORKDIR}/bin/protoc ${D}${bindir}

    install -d ${D}${includedir}/google/protobuf/compiler
    install -m 0644 ${WORKDIR}/include/google/protobuf/*.proto ${D}${includedir}/google/protobuf/
    install -m 0644 ${WORKDIR}/include/google/protobuf/compiler/*.proto ${D}${includedir}/google/protobuf/compiler/
}

INSANE_SKIP_${PN} += " \
    already-stripped \
"

