SUMMARY = "Build environment image for perifirmware"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

require busybox-container-image.bb

BASE_TOOLS = " \
    bzip2 \
    git \
    libtool \
    make \
    pkgconfig \
"

POSIX_TOOLS = " \
    binutils \
    binutils-symlinks \
    coreutils \
    cpp \
    cpp-symlinks \
    gcc \
    gcc-symlinks \
    g++ \
    g++-symlinks \
    glibc-dev \
    libgcc-dev \
    libstdc++ \
    libstdc++-dev \
"

CR4_CROSS_TOOLS = " \
     gcc-arm-none-eabi \
"

API_TOOLS = " \
    protoc \
    protoc-dev \
    protoc-gen-doc \
"

WEBUI_TOOLS = " \
    html-minifier \
"

IMAGE_INSTALL += " \
    ${BASE_TOOLS} \
    ${POSIX_TOOLS} \
    ${CR4_CROSS_TOOLS} \
    ${API_TOOLS} \
    ${WEBUI_TOOLS} \
"

